Index: trunk/client/modules/Elezioni/blocchi/bar_affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/bar_affluenze.php	(revision 116)
+++ trunk/client/modules/Elezioni/blocchi/bar_affluenze.php	(revision 265)
@@ -15,11 +15,16 @@
 // numero sezioni scrutinate
 
-		$res2 = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos",$dbi);
-		$sezioni=mysql_num_rows($res2);
+		$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
 
-    $res = mysql_query("select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1", $dbi);
-    if($res){
+		$sezioni=$res2->fetch(PDO::FETCH_NUM);
 
-        while(list($orario,$data) = mysql_fetch_row($res)) {
+    $sql="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1", $dbi);
+ 	$res = $dbi->prepare("$sql");
+	$res->execute();
+ if($res){
+
+        while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
         	list ($ore,$minuti,$secondi)=explode(':',$orario);
         	list ($anno,$mese,$giorno)=explode('-',$data);
@@ -27,6 +32,9 @@
 	
 
-  		$res1 = mysql_query("select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ",$dbi);
-		$numero=mysql_num_rows($res1);
+  		$sql="select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ";
+		$resl = $dbi->prepare("$sql");
+		$resl->execute();
+
+		$numero=$res1->rowCount();
 	
 		echo "<h5>Ultime Affluenze</h5>";
@@ -38,7 +46,11 @@
 #		$res1 = mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
 #modifica del 26giugno 09 per gestione circoscrizionali
-if($genere==0)		$res1 = mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
+if($genere==0)		
+	$sql="select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo ";
 else
-  		$res1 = mysql_query("select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos",$dbi);
+	$sql="select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";
+$resl = $dbi->prepare("$sql");
+$resl->execute();
+
 #fine modifica
 
@@ -46,16 +58,18 @@
 
 
-                while(list($voti_t, $num_gruppo,$id_gruppo) = mysql_fetch_row($res1)) {
+                while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
 
-			$query="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
-                	if ($genere==0){$query.=" and t3.id_gruppo=$id_gruppo";}
-                	$res_aff=mysql_query($query, $dbi);
-			$voti_numero=mysql_num_rows($res_aff);
+			$sql="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+                	if ($genere==0){$sql.=" and t3.id_gruppo=$id_gruppo";} 
+			$res_aff = $dbi->prepare("$sql");
+			$res_aff->execute();
+			$voti_numero=$res_aff->rowCount();
               	
-			$query="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
+			$sql="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
 			
-			if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
-                	$res1234=mysql_query($query, $dbi);
-                	list($tot)=mysql_fetch_row($res1234);
+			if ($genere==0){$sql.=" and id_gruppo=$id_gruppo";}
+			$res1234 = $dbi->prepare("$sql");
+			$res1234->execute();
+                	list($tot)=$res1234->fetch(PDO::FETCH_NUM);
                 	if ($tot)
 			    $perc=number_format($voti_t*100/$tot,2);
